import { Spec } from '../types';
import { BundleSpec } from '../types/BundleSpec';
import { GraphSpecs } from '../types/GraphSpecs';
import { GraphUnitSpec } from '../types/GraphUnitSpec';
export declare function collectUnitIdSet(unit: GraphUnitSpec, specs: GraphSpecs, set: Set<string>): void;
export declare function collectIdSetFromSpec(spec: Spec, specs: GraphSpecs, set?: Set<string>): Set<string>;
export declare function collectIdSetFromBundle(bundle: BundleSpec, set?: Set<string>): Set<string>;
